Subject: [PATCH net-next 0/2] Add a mlxsw-specific test for mirror-to-gretap

From: Petr Machata <[email-masked]>
Date: Thu, 05 Jul 2018 21:10:53 +0200

Some configurations of mirror-to-gretap are impossible for mlxsw to
offload. Add a test that checks that these out-of-domain conditions are
handled properly by mlxsw.

In patch #1, fix mirror_gre_lib.sh and mirror_gre_topo_lib.sh so that
they can be imported from directories other than forwarding/.

In patch #2, add a test to check handling of several scenarios that
mlxsw is expected to fail to offload.

Petr Machata (2):
  selftests: forwarding: Allow importing dependent libraries
  selftests: mlxsw: Add mlxsw-specific test for mirror to gretap

 .../selftests/drivers/net/mlxsw/mirror_gre.sh      | 217 +++++++++++++++++++++
 .../selftests/net/forwarding/mirror_gre_lib.sh     |   2 +-
 .../net/forwarding/mirror_gre_topo_lib.sh          |   2 +-
 3 files changed, 219 insertions(+), 2 deletions(-)
 create mode 100755 tools/testing/selftests/drivers/net/mlxsw/mirror_gre.sh

-- 
2.4.11